# MatSNESMFResetHHistory

Resets the counter to zero to begin collecting a new set of differencing histories.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode MatSNESMFResetHHistory(Mat J)

Collective on Mat

### Input Parameters

J -the matrix-free matrix context

### Notes

Use MatSNESMFSetHHistory() to create the original history counter.

### Keywords

SNES, matrix-free, h history, differencing history

### See Also

MatSNESMFGetH(), MatCreateSNESMF(),
MatSNESMFSetHHistory(), MatSNESMFKSPMonitor(), MatSNESMFSetFunctionError()

Level:advanced
Location:src/snes/mf/snesmfj.c
Index of all SNESMF routines
Table of Contents for all manual pages
Index of all manual pages